Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.util
Interface ExceptionWrapper

All Known Implementing Classes:
  IOExceptionWrapper, RuntimeExceptionWrapper

    public interface ExceptionWrapper

Interface implemented by exceptions that can contain nested exceptions.

Method Summary
`Throwable` | `getCause()` Returns the nested exception or null if none is present.
`Throwable` | `getDetail()` Deprecated. replaced by `getCause()`.

Method Detail

### getDetail

    Throwable getDetail()

  Deprecated. replaced by `getCause()`.

  Returns the nested exception or null if none is present.

  Returns:
    the nested exception or null if none is present.

### getCause

    Throwable getCause()

  Returns the nested exception or null if none is present.

  This method is intentionally defined to be the same signature as the `java.lang.Throwable.getCause` method in Java 1.4 and greater. By defining this method to return a nested exception, the Java 1.4 runtime will print the nested stack trace.

  Returns:
    the nested exception or null if none is present.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2009 Oracle. All rights reserved.